/***************************************************************************** 
* 
* File Name : main.c
* 
* Description: main 
* 
* Copyright (c) 2014 Winner Micro Electronic Design Co., Ltd. 
* All rights reserved. 
* 
* Author : dave
* 
* Date : 2014-6-14
*****************************************************************************/ 
#include "wm_include.h"
#include "spi_master.h"
#include "spi_slave.h"


void UserMain(void)
{
    extern int tls_get_mac_addr(u8 *mac);
    extern int tls_get_bt_mac_addr(u8 *mac);
    extern u32 tls_mem_get_avail_heapsize(void);
    u8 mac[6]={0};
    u8 btmac[6]={0};
    tls_get_mac_addr(mac);
    tls_get_bt_mac_addr(btmac);
    printf("             \\\\\\|///\n");
    printf("           \\\\  .-.-  //\n");
    printf(".           (  .@.@  )  \n");
    printf("+-------oOOo-----(_)-----oOOo---------+\n\n");
    printf(" ---> Compile "__DATE__", "__TIME__"\n");
    printf(" ---> %s.c\r\n",__func__);
    printf(" ---> GetHeap:%d\n",tls_mem_get_avail_heapsize());
    printf(" ---> BLE  MAC:%02X%02X%02X%02X%02X%02X\n",btmac[0],btmac[1],btmac[2],btmac[3],btmac[4],btmac[5]);
    printf(" ---> WIFI MAC:%02X%02X%02X%02X%02X%02X\n",mac[0],mac[1],mac[2],mac[3],mac[4],mac[5]);
    printf("\n+---------------------Oooo------------+\n");

	printf("\n user task \n");


    master_spi_send_data(1000000, 0);
    u8 *buf = tls_mem_alloc(SPI_DATA_LEN*2);
    SpiSlaveInit(buf, SPI_DATA_LEN*2);

#if DEMO_CONSOLE
	CreateDemoTask();
#endif
//用户自己的task
}

