#ifndef __SPI_SLAVE_H__
#define __SPI_SLAVE_H__

#include "wm_include.h"

#define SPI_SLAVE_CLK	WM_IO_PB_02
#define SPI_SLAVE_CS	WM_IO_PB_04
#define SPI_SLAVE_MOSI	WM_IO_PB_03

#define SPI_SLAVE_RX_DMA_CH	0

struct dma_descriptor {
	unsigned int valid;
	unsigned int dma_ctrl;
	unsigned int src_addr;
	unsigned int dest_addr;
	struct dma_descriptor *next;
};

void SpiSlaveInit(uint8_t *buf, uint32_t len);

void SpiDmaRxHalfCplt(uint8_t *buf, uint32_t len);

void SpiDmaRxCplt(uint8_t *buf, uint32_t len);

#endif

